Subject: [clisp-list] loop implementation

From: John Towler <[email-masked]>
Date: Sat Dec 15 18:29:03 2001

I am not interested in a flamewar, but in solving a problem.

I am not a knower of the loop language, but are the following remarks
in line with the current state of CLISP, or are perhaps they the
result of old data?  

From cm-2.2.1/src/cm.lisp
   
    ;; clisp's LOOP implementation is broken so load a working
    ;; version no matter what.
 
cmn has a similar defacto situation: both replace and shadow the
existing loop with an MIT loop implementation dated 1980.  It does not
seem to have an harsh comment along the lines of the above.

If the judgment is not currently accurate, one could reduce the code
size of the packages.

			John Towler